Get Service
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/services/{id}import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/services/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/services/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Services
Get Service
Retrieve a specific service by ID with optional related data.
GET
/
wp-json
/
latepoint-api
/
v1
/
services
/
{id}
Get Service
Path Parameters
integer
required
The unique identifier of the service
Query Parameters
string
Include related data (comma-separated: category, agents, locations)
Example Requests
Basic Request
GET /wp-json/latepoint-api/v1/services/1
X-API-Key: YOUR_API_KEY
Include Related Data
GET /wp-json/latepoint-api/v1/services/1?include=category,agents
X-API-Key: YOUR_API_KEY
Response Example
{
"success": true,
"data": {
"id": "1",
"name": "Service Name",
"short_description": "Brief description",
"description": "Detailed description",
"duration": "60",
"price_min": "100.0000",
"price_max": "299.0000",
"charge_amount": "100.0000",
"deposit_amount": "0.0000",
"capacity_min": "1",
"capacity_max": "1",
"order_number": "0",
"selection_image_id": "0",
"status": "active",
"visibility": "visible",
"category_id": "1",
"created_at": "2024-01-01 10:00:00",
"updated_at": "2024-01-15 14:30:00",
"category": {
"id": 1,
"name": "Category Name"
},
"agents": [
{
"id": 1,
"first_name": "John",
"last_name": "Doe"
}
]
}
}
⌘I
